This is the multi-page printable view of this section. Click here to print.

Return to the regular view of this page.

List Images

1 - 1.3

get /v1/images

Description

List Images.

State ACTIVE (CURRENT)

VersionNot Before
1.3-

Parameters

TypeNameDescriptionSchemaDefault
querylimit
optional
Page size of items
Example : 20
any of [integer, null]20
querymarker
optional
The last item’s ID from previous request
Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f
any of [string, null]None
queryscp_image_type
optional
Image type
Example : custom
any of [string, null]None
queryscp_original_image_type
optional
Original Image type
Example : standard
any of [string, null]None
queryname
optional
Image name
Example : imagename
any of [string, null]None
queryos_distro
optional
OS distribution of the image to be uploaded
Example : alma
any of [string, null]None
querystatus
optional
Image status
Example : active
any of [string, null]None
queryvisibility
optional
Indicates access permissions for the Image. Private: Can be used only within the Account, Shared: Can be shared between Accounts
Example : private
any of [enum (public, community, shared, private), null]None
querysort
optional
Comma-separated list of sort keys and optional sort directions in the form of [:]
Example : created_at:desc
any of [string, null]created_at:desc

Responses

HTTP CodeDescriptionSchema
200OKImageListResponseV1Dot3
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/images

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.3"

Example HTTP response

Response 200

{
    "images": [
        {
            "checksum": "7538e0fcb56e0e272cfd89eb384d6613",
            "container_format": "bare",
            "created_at": "2025-07-22T09:00:00Z",
            "disk_format": "qcow2",
            "file": "/v2/images/e08a37c1-2162-416e-b7fa-19902419170b/file",
            "id": "70a599e0-31e7-49b7-b260-868f441e862b",
            "min_disk": 100,
            "min_ram": 0,
            "name": "imagename",
            "os_distro": "alma",
            "os_hash_algo": "sha512",
            "os_hash_value": "c6a32fc3b7c909b8900b46f5e6066c028a1d799c0a263cf064a600c430a714627c21f98ac248e2f2bf29870a1a2773c7908244745016878e1a5f31dc2c405b99",
            "os_hidden": false,
            "owner": "a8f10467abfc4b87b64614ab36eb9ae4",
            "owner_account_name": "AccountName",
            "owner_user_name": "user@samsung.com",
            "protected": false,
            "root_device_name": "/dev/vda",
            "scp_gpu_driver": "535.183.06",
            "scp_image_type": "custom",
            "scp_k8s_version": "v1.28.7",
            "scp_original_image_type": "standard",
            "scp_os_build_version": "20250101",
            "scp_os_version": "8.8",
            "scp_supported_class_types": "GPU-A100-1,GPU-H100-2",
            "size": 2429747200,
            "status": "active",
            "updated_at": "2025-07-26T12:00:00Z",
            "url": "https://object-store.kr-west1.s.samsungsdscloud.com/8989447062e04a818baf9e073fd04fa7/bucket/object.qcow2",
            "virtual_size": 17179869184,
            "visibility": "private",
            "volumes": "[{\"tag\": null, \"volume_id\": null, \"encryption_options\": null, \"encryption_secret_uuid\": null, \"encryption_format\": null, \"device_name\": \"/dev/vda\", \"disk_bus\": \"virtio\", \"volume_type\": null, \"encrypted\": null, \"image_id\": null, \"device_type\": \"disk\", \"source_type\": \"snapshot\", \"delete_on_termination\": false, \"volume_size\": 104, \"guest_format\": null, \"boot_index\": 0, \"destination_type\": \"volume\", \"snapshot_id\": \"abde9e38-2ed5-4ecd-b23c-b0120e30690e\", \"no_device\": null}]"
        }
    ]
}

2 - 1.2

get /v1/images

Description

List Images.

State ACTIVE (SUPPORTED)

VersionNot Before
1.220260831

Parameters

TypeNameDescriptionSchemaDefault
querylimit
optional
Page size of items
Example : 20
any of [integer, null]20
querymarker
optional
The last item’s ID from previous request
Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f
any of [string, null]None
queryscp_image_type
optional
Image type
Example : custom
any of [string, null]None
queryscp_original_image_type
optional
Original Image type
Example : standard
any of [string, null]None
queryname
optional
Image name
Example : imagename
any of [string, null]None
queryos_distro
optional
OS distribution of the image to be uploaded
Example : alma
any of [string, null]None
querystatus
optional
Image status
Example : active
any of [string, null]None
queryvisibility
optional
Indicates access permissions for the Image. Private: Can be used only within the Account, Shared: Can be shared between Accounts
Example : private
any of [enum (public, community, shared, private), null]None
querysort
optional
Comma-separated list of sort keys and optional sort directions in the form of [:]
Example : created_at:desc
any of [string, null]created_at:desc

Responses

HTTP CodeDescriptionSchema
200OKImageListResponseV1Dot2
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/images

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.2"

Example HTTP response

Response 200

{
    "images": [
        {
            "checksum": "7538e0fcb56e0e272cfd89eb384d6613",
            "container_format": "bare",
            "created_at": "2025-07-22T09:00:00Z",
            "disk_format": "qcow2",
            "file": "/v2/images/e08a37c1-2162-416e-b7fa-19902419170b/file",
            "id": "70a599e0-31e7-49b7-b260-868f441e862b",
            "min_disk": 100,
            "min_ram": 0,
            "name": "imagename",
            "os_distro": "alma",
            "os_hash_algo": "sha512",
            "os_hash_value": "c6a32fc3b7c909b8900b46f5e6066c028a1d799c0a263cf064a600c430a714627c21f98ac248e2f2bf29870a1a2773c7908244745016878e1a5f31dc2c405b99",
            "os_hidden": false,
            "owner": "a8f10467abfc4b87b64614ab36eb9ae4",
            "owner_account_name": "AccountName",
            "owner_user_name": "user@samsung.com",
            "protected": false,
            "root_device_name": "/dev/vda",
            "scp_gpu_driver": "535.183.06",
            "scp_image_type": "custom",
            "scp_k8s_version": "v1.28.7",
            "scp_original_image_type": "standard",
            "scp_os_build_version": "20250101",
            "scp_os_version": "8.8",
            "size": 2429747200,
            "status": "active",
            "updated_at": "2025-07-26T12:00:00Z",
            "url": "https://object-store.kr-west1.s.samsungsdscloud.com/8989447062e04a818baf9e073fd04fa7/bucket/object.qcow2",
            "virtual_size": 17179869184,
            "visibility": "private",
            "volumes": "[{\"tag\": null, \"volume_id\": null, \"encryption_options\": null, \"encryption_secret_uuid\": null, \"encryption_format\": null, \"device_name\": \"/dev/vda\", \"disk_bus\": \"virtio\", \"volume_type\": null, \"encrypted\": null, \"image_id\": null, \"device_type\": \"disk\", \"source_type\": \"snapshot\", \"delete_on_termination\": false, \"volume_size\": 104, \"guest_format\": null, \"boot_index\": 0, \"destination_type\": \"volume\", \"snapshot_id\": \"abde9e38-2ed5-4ecd-b23c-b0120e30690e\", \"no_device\": null}]"
        }
    ]
}

3 - 1.1

get /v1/images

Description

List Images.

State ACTIVE (DEPRECATED)

Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.

VersionNot Before
1.120260531

Parameters

TypeNameDescriptionSchemaDefault
querylimit
optional
Page size of items
Example : 20
any of [integer, null]20
querymarker
optional
The last item’s ID from previous request
Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f
any of [string, null]None
queryscp_image_type
optional
Image type
Example : custom
any of [string, null]None
queryscp_original_image_type
optional
Original Image type
Example : standard
any of [string, null]None
queryname
optional
Image name
Example : imagename
any of [string, null]None
queryos_distro
optional
OS distribution of the image to be uploaded
Example : alma
any of [string, null]None
querystatus
optional
Image status
Example : active
any of [string, null]None
queryvisibility
optional
Indicates access permissions for the Image. Private: Can be used only within the Account, Shared: Can be shared between Accounts
Example : private
any of [enum (public, community, shared, private), null]None
querysort
optional
Comma-separated list of sort keys and optional sort directions in the form of [:]
Example : created_at:desc
any of [string, null]created_at:desc

Responses

HTTP CodeDescriptionSchema
200OKImageListResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/images

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.1"

Example HTTP response

Response 200

{
    "images": [
        {
            "checksum": "7538e0fcb56e0e272cfd89eb384d6613",
            "container_format": "bare",
            "created_at": "2025-07-22T09:00:00Z",
            "disk_format": "qcow2",
            "file": "/v2/images/e08a37c1-2162-416e-b7fa-19902419170b/file",
            "id": "70a599e0-31e7-49b7-b260-868f441e862b",
            "min_disk": 100,
            "min_ram": 0,
            "name": "imagename",
            "os_distro": "alma",
            "os_hash_algo": "sha512",
            "os_hash_value": "c6a32fc3b7c909b8900b46f5e6066c028a1d799c0a263cf064a600c430a714627c21f98ac248e2f2bf29870a1a2773c7908244745016878e1a5f31dc2c405b99",
            "os_hidden": false,
            "owner": "a8f10467abfc4b87b64614ab36eb9ae4",
            "owner_account_name": "AccountName",
            "owner_user_name": "user@samsung.com",
            "protected": false,
            "root_device_name": "/dev/vda",
            "scp_image_type": "custom",
            "scp_k8s_version": "v1.28.7",
            "scp_original_image_type": "standard",
            "scp_os_build_version": "20250101",
            "scp_os_version": "8.8",
            "size": 2429747200,
            "status": "active",
            "updated_at": "2025-07-26T12:00:00Z",
            "url": "https://object-store.kr-west1.s.samsungsdscloud.com/8989447062e04a818baf9e073fd04fa7/bucket/object.qcow2",
            "virtual_size": 17179869184,
            "visibility": "private",
            "volumes": "[{\"tag\": null, \"volume_id\": null, \"encryption_options\": null, \"encryption_secret_uuid\": null, \"encryption_format\": null, \"device_name\": \"/dev/vda\", \"disk_bus\": \"virtio\", \"volume_type\": null, \"encrypted\": null, \"image_id\": null, \"device_type\": \"disk\", \"source_type\": \"snapshot\", \"delete_on_termination\": false, \"volume_size\": 104, \"guest_format\": null, \"boot_index\": 0, \"destination_type\": \"volume\", \"snapshot_id\": \"abde9e38-2ed5-4ecd-b23c-b0120e30690e\", \"no_device\": null}]"
        }
    ]
}

4 - 1.0

get /v1/images

Description

List Images.

State ACTIVE (DEPRECATED)

Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.

VersionNot Before
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
querylimit
optional
Page size of items
Example : 20
any of [integer, null]20
querymarker
optional
The last item’s ID from previous request
Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f
any of [string, null]None
queryscp_image_type
optional
Image type
Example : custom
any of [string, null]None
queryscp_original_image_type
optional
Original Image type
Example : standard
any of [string, null]None
queryname
optional
Image name
Example : imagename
any of [string, null]None
queryos_distro
optional
OS distribution of the image to be uploaded
Example : alma
any of [string, null]None
querystatus
optional
Image status
Example : active
any of [string, null]None
queryvisibility
optional
Indicates access permissions for the Image. Private: Can be used only within the Account, Shared: Can be shared between Accounts
Example : private
any of [enum (public, community, shared, private), null]None
querysort
optional
Comma-separated list of sort keys and optional sort directions in the form of [:]
Example : created_at:desc
any of [string, null]created_at:desc

Responses

HTTP CodeDescriptionSchema
200OKImageListResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/images

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.0"

Example HTTP response

Response 200

{
    "images": [
        {
            "checksum": "7538e0fcb56e0e272cfd89eb384d6613",
            "container_format": "bare",
            "created_at": "2025-07-22T09:00:00Z",
            "disk_format": "qcow2",
            "file": "/v2/images/e08a37c1-2162-416e-b7fa-19902419170b/file",
            "id": "70a599e0-31e7-49b7-b260-868f441e862b",
            "min_disk": 100,
            "min_ram": 0,
            "name": "imagename",
            "os_distro": "alma",
            "os_hash_algo": "sha512",
            "os_hash_value": "c6a32fc3b7c909b8900b46f5e6066c028a1d799c0a263cf064a600c430a714627c21f98ac248e2f2bf29870a1a2773c7908244745016878e1a5f31dc2c405b99",
            "os_hidden": false,
            "owner": "a8f10467abfc4b87b64614ab36eb9ae4",
            "owner_account_name": "AccountName",
            "owner_user_name": "user@samsung.com",
            "protected": false,
            "root_device_name": "/dev/vda",
            "scp_image_type": "custom",
            "scp_k8s_version": "v1.28.7",
            "scp_original_image_type": "standard",
            "scp_os_build_version": "20250101",
            "scp_os_version": "8.8",
            "size": 2429747200,
            "status": "active",
            "updated_at": "2025-07-26T12:00:00Z",
            "url": "https://object-store.kr-west1.s.samsungsdscloud.com/8989447062e04a818baf9e073fd04fa7/bucket/object.qcow2",
            "virtual_size": 17179869184,
            "visibility": "private",
            "volumes": "[{\"tag\": null, \"volume_id\": null, \"encryption_options\": null, \"encryption_secret_uuid\": null, \"encryption_format\": null, \"device_name\": \"/dev/vda\", \"disk_bus\": \"virtio\", \"volume_type\": null, \"encrypted\": null, \"image_id\": null, \"device_type\": \"disk\", \"source_type\": \"snapshot\", \"delete_on_termination\": false, \"volume_size\": 104, \"guest_format\": null, \"boot_index\": 0, \"destination_type\": \"volume\", \"snapshot_id\": \"abde9e38-2ed5-4ecd-b23c-b0120e30690e\", \"no_device\": null}]"
        }
    ]
}